Bug 245740 - shells/mksh: Update to R59
Summary: shells/mksh: Update to R59
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-19 12:49 UTC by Olivier Duchateau
Modified: 2020-05-05 10:27 UTC (History)
2 users (show)

See Also:
schaiba: maintainer-feedback+


Attachments
Patch to update shells/mksh (1.27 KB, patch)
2020-04-19 12:49 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2020-04-19 12:49:32 UTC
Created attachment 213560 [details]
Patch to update shells/mksh

- Update to R59
- Update MASTER_SITES use HTTPS as pkg-descr
- Remove -c lto option otherwise build fails "unknown option -c lto"
Comment 1 Automation User 2020-04-19 13:08:15 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/137612650
Comment 2 schaiba 2020-05-04 11:55:53 UTC
confirmed
Comment 3 commit-hook freebsd_committer 2020-05-05 10:26:12 UTC
A commit references this bug:

Author: tagattie
Date: Tue May  5 10:25:33 UTC 2020
New revision: 534060
URL: https://svnweb.freebsd.org/changeset/ports/534060

Log:
  - Update to 59
  - Update MASTER_SITES and WWW to use https
  - Remove -c lto option to prevent build failure

  PR:		245740
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>
  Approved by:	schaiba@gmail.com (maintainer), ehaupt (mentor)
  Changelog:	http://www.mirbsd.org/mksh.htm#clog

Changes:
  head/shells/mksh/Makefile
  head/shells/mksh/distinfo
Comment 4 Hiroki Tagato freebsd_committer 2020-05-05 10:27:16 UTC
Committed, thanks!